% Escolha um metodo: 1 (Euler), 2 (Taylor de ordem 2), 3 (Taylor de ordem 3)
%                    4 (Heun), 5 (RK3), 6 (RK4)
Metodo = 3;

% Intervalo de tempo e passo
t0 = 0;             % Tempo inicial
tf = 10;            % Tempo final
h = 0.05;           % Passo de tempo;

% Condicoes iniciais
x0 = 1;             % Populacao inicial da presa
y0 = 0.5;           % Populacao inicial do predador
z0 = [x0,y0];

% Definindo eq. diferencial
F = @(t,z) GradPerp_F(t,z);

% Resolvendo usando Metodo Escolhido
if Metodo == 1 % Metodo de Euler
    z = Euler(t0,tf,h,z0,F);
    
elseif Metodo == 2 % Metodo de Taylor ordem 2
    F1 = @(t,z) GradPerp_F1(t,z);
    z = Taylor2(t0,tf,h,z0,F,F1);
    
elseif Metodo == 3 % Metodo de Taylor ordem 3
    F1 = @(t,z) GradPerp_F1(t,z);
    F2 = @(t,z) GradPerp_F2(t,z);
    z = Taylor3(t0,tf,h,z0,F,F1,F2);
    
elseif Metodo == 4 % Metodo de Heun 
    z = Heun(t0,tf,h,z0,F);

elseif Metodo == 5 % Metodo RK3 
    z = RK3(t0,tf,h,z0,F);
    
elseif Metodo == 6 % Metodo RK4
    z = RK4(t0,tf,h,z0,F);
end

% Representacao Grafica dos Resultados
figure;
plot(z(:,1),z(:,2))



